export function stringifyInput(input) {
    switch (typeof input) {
        case "bigint":
        case "boolean":
        case "number":
            return String(input);
        case "object":
            if (input === null) {
                return String(input);
            }
            return JSON.stringify(input);
        case "string":
            return input;
        default:
            return String(input);
    }
}
